import 'package:json_annotation/json_annotation.dart';

import '../../bean/character_info.dart';


part 'character_custom_generate_response.g.dart';

@JsonSerializable()
class CharacterCustomGenerateResponse {

  @JsonKey(name: "characterInfo")
  late final CharacterInfo characterInfo;

  CharacterCustomGenerateResponse({ required this.characterInfo});

  factory CharacterCustomGenerateResponse.fromJson(Map<String, dynamic> json) =>
      _$CharacterCustomGenerateResponseFromJson(json);
}
